PULSAR

Get Availability

Get availability.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

machineIds*array<>

An array of machine IDs to filter by.

range*string

Filter by range.

Value in

  • "TODAY"
  • "YESTERDAY"
  • "WEEK"
  • "LAST_TWO_ENDED_WEEKS"

Response Body

application/json

Try it live
GET
/machines/availability

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/machines/availability?machineIds=0.1&range=TODAY"
{  "data": {    "machines": [      {        "availableTime": 0.1,        "availabilityIndicator": 0.1,        "workingMinutes": 0.1,        "shiftMinutes": 0.1,        "machineTitle": "string",        "machineId": 0.1      }    ],    "compare": {      "availabilityIndicator": 0.1,      "workingMinutes": 0.1,      "shiftMinutes": 0.1    },    "current": {      "availabilityIndicator": 0.1,      "workingMinutes": 0.1,      "shiftMinutes": 0.1    }  }}